phajdan.jr 11/04/05 08:38:50
Modified: ChangeLog chromium-12.0.712.0-r1.ebuild
chromium-9999-r1.ebuild
Log:
Also run net_unittests in src_test (known issues: bug #361885, bug #361939). Add optional dependency on Kerberos for HTTP authentication.
(Portage version: 2.1.9.42/cvs/Linux i686)
Revision Changes Path
1.326 www-client/chromium/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.326&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?rev=1.326&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/ChangeLog?r1=1.325&r2=1.326
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v
retrieving revision 1.325
retrieving revision 1.326
diff -u -r1.325 -r1.326
--- ChangeLog 3 Apr 2011 16:51:10 -0000 1.325
+++ ChangeLog 5 Apr 2011 08:38:50 -0000 1.326
@@ -1,6 +1,12 @@
# ChangeLog for www-client/chromium
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.325 2011/04/03 16:51:10 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/ChangeLog,v 1.326 2011/04/05 08:38:50 phajdan.jr Exp $
+
+ 05 Apr 2011; Pawel Hajdan jr <phajdan.jr@g.o>
+ +files/chromium-gssapi-heimdal-r0.patch, chromium-12.0.712.0-r1.ebuild,
+ chromium-9999-r1.ebuild:
+ Also run net_unittests in src_test (known issues: bug #361885, bug
+ #361939). Add optional dependency on Kerberos for HTTP authentication.
*chromium-12.0.712.0-r1 (03 Apr 2011)
1.2 www-client/chromium/chromium-12.0.712.0-r1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild?r1=1.1&r2=1.2
Index: chromium-12.0.712.0-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- chromium-12.0.712.0-r1.ebuild 3 Apr 2011 16:51:10 -0000 1.1
+++ chromium-12.0.712.0-r1.ebuild 5 Apr 2011 08:38:50 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild,v 1.1 2011/04/03 16:51:10 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-12.0.712.0-r1.ebuild,v 1.2 2011/04/05 08:38:50 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
@@ -15,7 +15,7 @@
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
-IUSE="cups gnome gnome-keyring"
+IUSE="cups gnome gnome-keyring kerberos"
RDEPEND="app-arch/bzip2
dev-libs/dbus-glib
@@ -44,8 +44,10 @@
>=dev-util/gperf-3.0.3
>=dev-util/pkgconfig-0.23
sys-devel/flex
- >=sys-devel/make-3.81-r2"
+ >=sys-devel/make-3.81-r2
+ test? ( dev-python/simplejson dev-python/tlslite virtual/krb5 )"
RDEPEND+="
+ kerberos? ( virtual/krb5 )
x11-misc/xdg-utils
virtual/ttf-fonts"
@@ -103,6 +105,9 @@
# Backport FFmpeg compatibility patch, bug #355405.
epatch "${FILESDIR}/${PN}-ffmpeg-build-r1.patch"
+ # Make Chromium recognize Gentoo's Heimdal, to be upstreamed.
+ epatch "${FILESDIR}/${PN}-gssapi-heimdal-r0.patch"
+
# Remove most bundled libraries. Some are still needed.
find third_party -type f \! -iname '*.gyp*' \
\! -path 'third_party/WebKit/*' \
@@ -128,6 +133,7 @@
\! -path 'third_party/openmax/*' \
\! -path 'third_party/ots/*' \
\! -path 'third_party/protobuf/*' \
+ \! -path 'third_party/pyftpdlib/*' \
\! -path 'third_party/skia/*' \
\! -path 'third_party/speex/speex.h' \
\! -path 'third_party/sqlite/*' \
@@ -230,8 +236,8 @@
emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
pax-mark m out/Release/chrome
if use test; then
- emake base_unittests BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/base_unittests
+ emake {base,net}_unittests BUILDTYPE=Release V=1 || die
+ pax-mark m out/Release/{base,net}_unittests
fi
}
@@ -249,6 +255,13 @@
# For more info see bug #350347.
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
'--gtest_filter=-ICUStringConversionsTest.*'
+
+ # DiskCache: we need net/data/cache_tests in the tarball (export_tarball.py)
+ # NetUtilTest: bug #361885.
+ # HTTPS/SSL: bug #361939.
+ # UDP: unstable, active development. We should revisit this later.
+ LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
+ '--gtest_filter=-*DiskCache*:NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*HTTPS*:*SSL*:*UDP*'
}
src_install() {
1.13 www-client/chromium/chromium-9999-r1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild?rev=1.13&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild?rev=1.13&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild?r1=1.12&r2=1.13
Index: chromium-9999-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild,v
retrieving revision 1.12
retrieving revision 1.13
diff -u -r1.12 -r1.13
--- chromium-9999-r1.ebuild 30 Mar 2011 11:36:30 -0000 1.12
+++ chromium-9999-r1.ebuild 5 Apr 2011 08:38:50 -0000 1.13
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild,v 1.12 2011/03/30 11:36:30 wired Exp $
+# $Header: /var/cvsroot/gentoo-x86/www-client/chromium/chromium-9999-r1.ebuild,v 1.13 2011/04/05 08:38:50 phajdan.jr Exp $
EAPI="3"
PYTHON_DEPEND="2:2.6"
@@ -17,7 +17,7 @@
LICENSE="BSD"
SLOT="live"
KEYWORDS=""
-IUSE="cups gnome gnome-keyring"
+IUSE="cups gnome gnome-keyring kerberos"
RDEPEND="app-arch/bzip2
dev-libs/dbus-glib
@@ -46,9 +46,11 @@
>=dev-util/gperf-3.0.3
>=dev-util/pkgconfig-0.23
sys-devel/flex
- >=sys-devel/make-3.81-r2"
+ >=sys-devel/make-3.81-r2
+ test? ( dev-python/simplejson dev-python/tlslite virtual/krb5 )"
RDEPEND+="
!=www-client/chromium-9999
+ kerberos? ( virtual/krb5 )
x11-misc/xdg-utils
virtual/ttf-fonts"
@@ -147,6 +149,9 @@
# Make sure we don't use bundled libvpx headers.
epatch "${FILESDIR}/${PN}-system-vpx-r4.patch"
+ # Make Chromium recognize Gentoo's Heimdal, to be upstreamed.
+ epatch "${FILESDIR}/${PN}-gssapi-heimdal-r0.patch"
+
# Remove most bundled libraries. Some are still needed.
find third_party -type f \! -iname '*.gyp*' \
\! -path 'third_party/WebKit/*' \
@@ -172,6 +177,7 @@
\! -path 'third_party/openmax/*' \
\! -path 'third_party/ots/*' \
\! -path 'third_party/protobuf/*' \
+ \! -path 'third_party/pyftpdlib/*' \
\! -path 'third_party/skia/*' \
\! -path 'third_party/speex/speex.h' \
\! -path 'third_party/sqlite/*' \
@@ -274,8 +280,8 @@
emake chrome chrome_sandbox BUILDTYPE=Release V=1 || die
pax-mark m out/Release/chrome
if use test; then
- emake base_unittests BUILDTYPE=Release V=1 || die
- pax-mark m out/Release/base_unittests
+ emake {base,net}_unittests BUILDTYPE=Release V=1 || die
+ pax-mark m out/Release/{base,net}_unittests
fi
}
@@ -293,6 +299,13 @@
# For more info see bug #350347.
LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/base_unittests virtualmake \
'--gtest_filter=-ICUStringConversionsTest.*'
+
+ # DiskCache: we need net/data/cache_tests in the tarball (export_tarball.py)
+ # NetUtilTest: bug #361885.
+ # HTTPS/SSL: bug #361939.
+ # UDP: unstable, active development. We should revisit this later.
+ LC_ALL="${mylocale}" VIRTUALX_COMMAND=out/Release/net_unittests virtualmake \
+ '--gtest_filter=-*DiskCache*:NetUtilTest.IDNToUnicode*:NetUtilTest.FormatUrl*:*HTTPS*:*SSL*:*UDP*'
}
src_install() {
|